package lambdas1;

import java.awt.*;
import javax.swing.*;

public class ButtonPanelTest extends JFrame{
	private static final long serialVersionUID = 1L;
	private final int frameWidth = 800;
	private final int frameHeight = 800;
	private JPanel panel;

	public static void main(String[] args) {
		SwingUtilities.invokeLater(new Runnable(){
			@Override
			public void run() {
				new ButtonPanelTest(new ButtonPanel());
			}
		});
	}

	public ButtonPanelTest(JComponent comp){
		panel = (JPanel)comp;
		setLayout(null);
		setPreferredSize(new Dimension(800, 800));
		setBounds((Toolkit.getDefaultToolkit().getScreenSize().width / 2)
				- (frameWidth / 2), (Toolkit.getDefaultToolkit()
				.getScreenSize().height / 2) - (frameHeight / 2), frameWidth,
				frameHeight);
		setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		setTitle("Ramka Graficzna");
		add(panel);
		setVisible(true);
	}
}
