package lambdas1;

public interface IMath {
	// Mamy tablicę pomiarów długości ciała samic
	int[] dlugoscF = { 48, 39, 43, 44, 34, 34, 32, 43, 40, 46, 25, 31, 34, 49, 39, 37, 45, 48, 41, 49, 43, 46, 34, 35,
			42, 32, 41, 34, 42, 42, 38, 40, 46, 47, 34, 42, 38, 40, 38, 36, 30, 43, 41, 40, 40, 35, 35, 41, 38, 45, 37,
			42, 38, 36, 44, 39, 32, 48, 43, 39, 43, 30, 44, 36, 42, 34, 49, 49, 49, 51, 37, 30, 50, 48, 44, 35, 45, 34,
			33, 41, 43, 45, 44, 34, 33, 39, 41, 39, 46, 31, 40, 52, 45, 39, 35, 45, 33, 42, 42, 36, 44, 52, 40, 39, 34,
			44, 40, 37, 43, 32, 32, 42, 45, 35, 37, 43, 48, 48, 50, 32, 40, 48, 32, 43, 36, 39, 42, 40, 37, 30, 44, 50,
			46, 39, 41, 48, 44, 42, 35, 51, 44, 50, 47, 37, 33, 34, 42, 43, 43, 47 };
	int[] tabl = { 13, 11, 10, 2, 19, 6 };

	public static int randomInRange(int min, int max) {
		int random = -1;
		if (min > max) {
			System.out.println("pierwsza liczba musi byc mniejsza od drugiej");
		} else {
			random = (int) (Math.floor(Math.random() * (max - min + 1)) + min);
		}
		return random;
	}

	public static boolean isPrime(long n) {
		for (long j = 2; Math.pow(j, 2) <= n; j++) {
			if (n % j == 0) {
				return false;
			}
		}
		return true;
	}

	public static int numsum(int num) {
		boolean t = true;
		int sum = 0;
		int anum = num;
		if (anum < 10) {
			return anum;
		} else {
			while (t) {
				String num1 = String.valueOf(anum);
				for (int i = 0; i < num1.length(); i++) {
					sum += Integer.parseInt(num1.substring(i, i + 1));
				}
				anum = sum;
				sum = 0;
				if (anum < 10) {
					t = false;
				}
			}
		}
		return anum;
	}

	public static int[] rangeArray(int n1, int n2) {
		int[] table = new int[n2 - n1 + 1];
		for (int i = 0; i < table.length; i++) {
			table[i] = n1 + i;
		}
		return table;
	}

	public static int[] rangeArray(int n1, int n2, int step) {
		int[] table;
		int tablesize = (n2 - n1 + 1) / step;
		int tablesize1 = ((n2 - n1 + 1) % step);
		if (tablesize1 == 0) {
			table = new int[tablesize];
		} else {
			table = new int[tablesize + 1];
		}
		for (int i = 0; i < table.length; i++) {
			table[i] = n1 + i * step;
		}
		return table;
	}

	public static int sumN(int n) {
		return (n * (n + 1)) / 2;
	}

	public static int sumN(int n1, int n2) {
		int sum = sumN(n2);
		int sum1 = sumN(n1 - 1);
		return sum - sum1;
	}

	public static boolean isAnySmallerThan(int[] arr, int d) {
		boolean a = false;
		for (int i = 0; i < arr.length; i++) {
			if (arr[i] < d) {
				a = true;
				break;
			}
		}
		return a;
	}

	public static boolean allMatch(int[] arr, int d) {
		boolean a = true;
		for (int i = 0; i < arr.length; i++) {
			if (arr[i] < d) {
				a = false;
				break;
			}
		}
		return a;
	}
}
